LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPolicy Interface Referencepublished

Interface for getting sets of permissions of a specified user or the default permissions if no user is given. More...

`import"XPolicy.idl";`

Inheritance diagram for XPolicy:

## Public Member Functions
sequence< any > | getPermissions ([in] string userId)
| Gets the permissions of the specified user excluding the default permissions granted to all users. More...
sequence< any > | getDefaultPermissions ()
| Gets the default permissions granted to all users. More...
void | refresh ()
| Refreshes the policy configuration. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface for getting sets of permissions of a specified user or the default permissions if no user is given.

See also
  com::sun::star::security::Policy

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getDefaultPermissions()

sequence< any > getDefaultPermissions | ( |  | ) |

Gets the default permissions granted to all users.

Returns
  default permissions

## ◆ getPermissions()

sequence< any > getPermissions | ( | [in] string | userId | ) |

Gets the permissions of the specified user excluding the default permissions granted to all users.

Parameters

  userId | user id

Returns
  permissions of the specified user

## ◆ refresh()

void refresh | ( |  | ) |

Refreshes the policy configuration.

The documentation for this interface was generated from the following file:

- com/sun/star/security/XPolicy.idl